Summary: Crypt-Cracklib module for perl
%define realname Crypt-Cracklib
Name: perl-%{realname}
Version: 0.01
Release: 1
Copyright: distributable
Group: Applications/CPAN
Source0: %{realname}-%{version}.tar.gz
Url: http://www.cpan.org
BuildRoot: /var/tmp/perl-%{realname}-buildroot/
Requires: perl >= 5.6.0

%description
%{realname} module for perl

%prep
%setup -q -n %{realname}-%{version}

%build
(echo /usr/include ; echo /usr/lib) | \
 CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr install
find $RPM_BUILD_ROOT/usr -type f -print | sed "s@^$RPM_BUILD_ROOT@@g" | \
 grep -v perllocal.pod > %{realname}-%{version}-filelist

%files -f %{realname}-%{version}-filelist
%defattr(-,root,root)

%changelog
* Thu May  3 2001 Charlie Brady <charlieb@e-smith.com>
- Initial
